# SourcePath: liboil/20100408dev
Summary: Library of Optimized Inner Loops, CPU optimized functions
Name: sony-target-dev-liboil
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-liboil
Version: 0.3.17
Release: 14020101
License: LGPL
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://liboil.freedesktop.org/
Source0: liboil-%{version}.tar.gz
#Patch0: liboil-aarch64-build-error-fix.patch
Patch1: liboil-unaligned_memory_access-fix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{sony_target_dir}

%description
Liboil is a library of simple functions that are optimized for various CPUs.
These functions are generally loops implementing simple algorithms, such as
converting an array of N integers to floating-poing numbers or multiplying
and summing an array of N numbers. Clearly such functions are candidates for
significant optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package -n %{pkgname}
Summary: Library of Optimized Inner Loops, CPU optimized functions
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Liboil is a library of simple functions that are optimized for various CPUs.
These functions are generally loops implementing simple algorithms, such as
converting an array of N integers to floating-poing numbers or multiplying
and summing an array of N numbers. Clearly such functions are candidates for
significant optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%prep
%setup -n liboil-%{version}
#%patch0 -p1
%patch1 -p1

%build
%sony_target_dev_setup
%sony_target_dev_configure 
make


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

%demangle_libtool

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_info_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/gtk-doc
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/*

%{sony_target_dir}%{sony_target_dev_lib_dir}/liboil*.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/liboil*.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/liboil*.so*
%{sony_target_dir}%{sony_target_dev_lib_dir}/liboil*.a

%{sony_target_dir}%{sony_target_devtool_lib_dir}/liboil*.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/*.pc

%{sony_target_dir}%{sony_target_dev_include_dir}/liboil*/liboil/*.h


%changelog
* Mon May 31 2021 Sony Group Corporation
- Initial build for 14.2.1.0

* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Wed Apr 19 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Thu Jun 22 2017 Sony Corporation
- Updated config.guess and config.sub for aarch64

* Thu Apr 8 2010 Sony Corporation
- Initial build
